# StructureDataParticle

data class StructureDataParticle(particle: KSpigotParticle) : StructureData
Content copied to clipboard

## Functions

component1
Link copied to clipboard
operator fun component1(): KSpigotParticle
Content copied to clipboard
copy
Link copied to clipboard
fun copy(particle: KSpigotParticle): StructureDataParticle
Content copied to clipboard
createAt
Link copied to clipboard
open override fun createAt(loc: Location)
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

particle
Link copied to clipboard
val particle: KSpigotParticle
Content copied to clipboard